#!/bin/bash

# Copyright (c) 2012 Cloudera, Inc. All rights reserved.
#
# Runs custom distcp jar.  Currently only
# works with CDH4's MR1.

# Time marker for both stderr and stdout
date; date 1>&2

# debug
set -x

cloudera_config=`dirname $0`
cloudera_config=`cd "$cloudera_config/../common"; pwd`
. ${cloudera_config}/cloudera-config.sh

# attempt to find java
locate_java_home

# load the parcel environment
source_parcel_environment

if [ "4" = "$CDH_VERSION" ]; then
  . ${cloudera_config}/cdh4-default
  HDFS_BIN=$HADOOP_HDFS_HOME/bin/hdfs
else
  echo "ERROR: Unsupported version $CDH_VERSION"
  exit 1
fi

echo "using $JAVA_HOME as JAVA_HOME"
echo "using $CDH_VERSION as CDH_VERSION"
echo "using $CONF_DIR as CONF_DIR"

set_hadoop_classpath

# Disable IPv6.
export HADOOP_OPTS="-Djava.net.preferIPv4Stack=true $HADOOP_OPTS"

acquire_kerberos_tgt hdfs.keytab

exec ${CDH_MR1_HOME}/bin/hadoop --config ${CONF_DIR}/hadoop-conf jar ${MGMT_HOME}/lib/cdh4/distcp-*.jar "$@"
