-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 04102 of the CMF schema. Migration code to be applied on top of the
-- previous version.
--

update SCHEMA_VERSION set VERSION=04102;

-- New table for user settings.
create table USER_SETTINGS (
    USER_SETTING_ID bigint not null,
    USER_ID bigint not null,
    ATTR varchar(255) not null,
    VALUE longtext not null,
    primary key (USER_SETTING_ID)
) engine=InnoDB;

-- User + Attribute must be unique.
alter table USER_SETTINGS
    add unique index(USER_ID, ATTR);

alter table USER_SETTINGS
    add index FK_USER_SETTING_USER (USER_ID),
    add constraint FK_USER_SETTING_USER
    foreign key (USER_ID)
    references USERS (USER_ID);
