// (c) Copyright 2013 Cloudera, Inc. All rights reserved.

define(["cloudera/common/I18n","cloudera/common/charts/rickshaw/FormatUtils"],function(e,t){describe("FormatUtils",function(){var n;beforeEach(function(){n={name:"series",units:{numerators:[],denominators:[]}}}),it("can format certain units for the hover detail",function(){var e=function(e){n.units.numerators=[e]},r=t.formatYValueForHoverDetail;e("bytes"),expect(r(n,1073741824)).toEqual("1.0 GiB"),e("kilobytes"),expect(r(n,1073741824)).toEqual("1.0 TiB"),expect(r(n,33554432)).toEqual("32.0 GiB"),e("megabytes"),expect(r(n,4)).toEqual("4.0 MiB"),expect(r(n,4669.44)).toEqual("4.6 GiB"),e("nanos"),expect(r(n,34e9)).toEqual("34.00s"),expect(r(n,34e6)).toEqual("34ms"),e("micros"),expect(r(n,34e6)).toEqual("34.00s"),expect(r(n,34e3)).toEqual("34ms"),e("ms"),expect(r(n,45e3)).toEqual("45.00s"),expect(r(n,67)).toEqual("67ms"),e("seconds"),expect(r(n,8)).toEqual("8.00s"),expect(r(n,970)).toEqual("16.2m")}),it("uses first numerator for label",function(){n.units.numerators=["bytes","operations"];var e=t.formatYValueForHoverDetail;expect(e(n,1073741824)).toEqual("1.0 GiB"),n.units.numerators=["operations","foobar"],expect(e(n,1024)).toEqual("1024.00 operations")}),it("uses first denominator for label",function(){n.units.numerators=["bytes","operations"],n.units.denominators=["seconds"];var e=t.formatYValueForHoverDetail;expect(e(n,1073741824)).toEqual("1.0 GiB / second"),n.units.numerators=["operations","foobar"],n.units.denominators=["seconds","barfoo"],expect(e(n,1024)).toEqual("1024.00 operations / second")}),it("shows not-a-number in the units label for NaN y values",function(){n.units.numerators=["bytes","operations"],n.units.denominators=["seconds"];var e=t.formatYValueForHoverDetail,r=e(n,0,"NaN");expect(r.toLowerCase()).toEqual("ui.chart.nan")}),it("can format certain units for the y axis",function(){var e={numerators:[],denominators:[]},n=function(t){e.numerators=[t]},r=function(t){e.denominators=[t]};n("bytes");var i=t.getYAxisTickFormatFunction(e);expect(i(1073741824)).toEqual("1.0G"),expect(i(107374182400)).toEqual("100G"),expect(i(0)).toEqual(""),n("kilobytes"),i=t.getYAxisTickFormatFunction(e),expect(i(1073741824)).toEqual("1.0T"),expect(i(33554432)).toEqual("32.0G"),expect(i(335544320)).toEqual("320G"),expect(i(0)).toEqual(""),n("megabytes"),i=t.getYAxisTickFormatFunction(e),expect(i(4)).toEqual("4.0M"),expect(i(4669.44)).toEqual("4.6G"),expect(i(10*4.56*1024)).toEqual("45.6G"),expect(i(466944.1024)).toEqual("456G"),expect(i(0)).toEqual(""),n("bytes"),r("seconds"),i=t.getYAxisTickFormatFunction(e),expect(i(1073741824)).toEqual("1.0G/s"),expect(i(107374182400)).toEqual("100G/s"),expect(i(0)).toEqual(""),n("kilobytes"),i=t.getYAxisTickFormatFunction(e),expect(i(1073741824)).toEqual("1.0T/s"),expect(i(33554432)).toEqual("32.0G/s"),expect(i(0)).toEqual(""),n("megabytes"),i=t.getYAxisTickFormatFunction(e),expect(i(4)).toEqual("4.0M/s"),expect(i(4669.44)).toEqual("4.6G/s"),expect(i(0)).toEqual(""),n("nanos"),e.denominators=[],i=t.getYAxisTickFormatFunction(e),expect(i(34e9)).toEqual("34.00s"),expect(i(34e6)).toEqual("34ms"),expect(i(0)).toEqual(""),n("micros"),e.denominators=[],i=t.getYAxisTickFormatFunction(e),expect(i(34e6)).toEqual("34.00s"),expect(i(34e3)).toEqual("34ms"),expect(i(0)).toEqual(""),n("ms"),i=t.getYAxisTickFormatFunction(e),expect(i(45e3)).toEqual("45.00s"),expect(i(67)).toEqual("67ms"),expect(i(0)).toEqual(""),n("seconds"),i=t.getYAxisTickFormatFunction(e),expect(i(8)).toEqual("8.00s"),expect(i(970)).toEqual("16.2m"),expect(i(0)).toEqual("")}),it("should test getYAxisLabel",function(){var e=[{metadata:{units:{numerators:["bytes","operations"],denominators:["seconds"]}}},{metadata:{units:{numerators:["bytes","operations"],denominators:["seconds"]}}}];expect(t.getYAxisLabel(e)).toEqual("bytes operations / second")}),it("should test getYAxisLabel with different units",function(){var n=[{metadata:{units:{numerators:["bytes"],denominators:["seconds"]}}},{metadata:{units:{numerators:["bytes","operations"],denominators:["seconds"]}}}];expect(t.getYAxisLabel(n)).toEqual(e.t("ui.mixedUnits"))})})})